
# Turn off debuginfo package
%define _enable_debug_packages	%{nil}
%define debug_package %{nil}

%define rel 5
%define	release	%mkrel %rel

%define name    vco-plugins
%define version 0.3.0

Summary:      Anti-aliased pulse and sawtooth oscillators
Name:         %{name}
Version:      %{version}
Release:      %{release}
Copyright:    GPL
Group:        Sound
Source:       http://alsamodular.sourceforge.net/VCO-plugins-%{version}.tar.bz2
Patch0:       VCO-plugins-%{version}-makefile.patch.bz2
BuildRoot:    %{_tmppath}/%{name}-buildroot
Requires:     ladspa
BuildRequires: ladspa-devel

%description
Pulse-VCO : Anti-aliased dirac pulse oscillator (flat amplitude spectrum)
Saw-VCO   : Anti-aliased sawtooth oscillator (1/F amplitude spectrum)
 
Both oscillators are based on the same principle of using a
precomputed interpolated dirac pulse. For the sawtooth version, the
'edge' is made by integrating the anti-aliased pulse. Aliases should
be below -80dB for fundamental frequencies below Fsamp / 6 (i.e. up to
8 kHz at Fsamp = 48 kHz). This frequency range includes the
fundamental frequencies all known musical instruments.

%prep
%setup -q -n VCO-plugins-%{version}
%patch0 -p1

%build
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/ladspa
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%dir %{_libdir}/ladspa
%{_libdir}/ladspa/*.so

%changelog
* Thu Feb 08 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0-5
- Rebuild for pclos2007
* Fri Sep 29 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0-4.pclo2005.thac
- fix spec

* Mon Apr 11 2005 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0-3.pclo2005.thac
- Rebuilt for PCLinuxOs 2005

* Thu Oct 28 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0-2.mdk10.1.thac
- 2.mdk10.1.thac
- Where "2" is the release of the package, "mdk" is the distro, "10.1" is the release of the distro, and "thac" is the Torbjorn Turpeinen extension.

* Wed Jun 09 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.3.0-1thac
- Updated to 0.3.0

* Thu Apr 29 2004 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.2.1-1thac
- Rebuilt for mandrake 10.0

* Wed Dec 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- initial build
